package models

import (
	"time"

	"git.apinb.com/bsm-sdk/core/database"
	"git.apinb.com/bsm-sdk/core/types"
)

// 应用版本更新表
type InitialApps struct {
	types.Std_IICUDS
	Version string    `gorm:"type:varchar(255);default:'';"` // 版本号
	App     string    `gorm:"type:varchar(255);default:'';"` // 应用名称
	Os      string    `gorm:"type:varchar(255);default:'';"` // 操作系统
	Arch    string    `gorm:"type:varchar(255);default:'';"` // 平台
	Summary string    `gorm:"type:text;default:'';"`         // 简介
	Files   string    `gorm:"type:text;default:'';"`         // 更新文件以及文件hash
	Pubdate time.Time // 发布时间
}

func init() {
	database.AppendMigrate(&InitialApps{})
}

func (table *InitialApps) TableName() string {
	return "initial_apps"
}
